
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "base/polygraph.h"

#include "base/OLog.h"
#include "client/PrivWorld.h"

PrivWorld::PrivWorld(): theObjCnt(0), theWss(-1) {
}

void PrivWorld::freezeWss() {
	theWss = theObjCnt;
}

void PrivWorld::store(OLog &ol) const {
	ol << theObjCnt << theWss;
}
