
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_NETWORK_PIPE_ARRAY_ITERATOR_H
#define PG_NETWORK_PIPE_ARRAY_ITERATOR_H

#include "HostsBasedIter.h"

class NetPipeSym;

// agent array iterator, based on HostsBasedIter
class NetPipeArrIter: public HostsBasedIter {
	public:
		typedef Array<NetPipeSym*> CfgSyms;

	public:
		NetPipeArrIter(CfgSyms &aCfgSyms, const Addrs *aLocalAddrs = 0);

		NetPipeSym *pipeSym();

	protected:
		HostsBasedSym *cfgSym(int idx) const;
		virtual int cfgCount() const;

	protected:
		CfgSyms theCfgs;
};

#endif
