
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "polygraph.h"

#include "Clock.h"
#include "String.h"
#include "FileScanner.h"
#include "StatPhaseMgr.h"
#include "runtime/HostMap.h"
#include "globals.h"

String ThePrgName = "?";
FileScanner *TheFileScanner = 0;
StatPhaseMgr TheStatPhaseMgr;

/* initialization */

int GlobInit::TheUseCount = 0;

void GlobInit::init() { 
	TheFileScanner = 0; // selected run-time
}

void GlobInit::clean() {
	delete TheFileScanner; TheFileScanner = 0;
}
