
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "polygraph.h"

#include "runtime/SharedOpts.h"
#include "SrvOpts.h"

SrvOpts TheSrvOpts;

SrvOpts::SrvOpts():
	theHistoryWin(this,   "new_oids_history <int>", "server history size for advertised new oids", 1024)
{
}

bool SrvOpts::validate() const {
	return OptGrp::validate();
}
