
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "polygraph.h"

#include "Clock.h"
#include "SyncClt.h"


void SyncClt::noteXactDone(CltXact *x) {
	Client::noteXactDone(x);
	if (theExtraLaunchLvl)
		--theExtraLaunchLvl;
	else
		scheduleLaunch(TheClock);
}

void SyncClt::wakeUp(const Alarm &a) {
	Client::wakeUp(a);
	tryLaunch(genXact());
}
