
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#include "polygraph.h"

#include "runtime/LogComment.h"
#include "runtime/BcastRcver.h"
#include "WorkSetFreezer.h"

#include "runtime/polyBcastChannels.h"


WorkSetFreezer::WorkSetFreezer(Time delay) {
	sleepFor(delay);
}

void WorkSetFreezer::wakeUp(const Alarm &alarm) {
	AlarmUser::wakeUp(alarm);

	Comment(5) << "fyi: started freezing working set size" << endc;
	Broadcast(TheInfoChannel, BcastRcver::ieWorkSetFreeze);
}
