
/*
 * Web Polygraph                        http://polygraph.ircache.net/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. All rights reserved. See the COPYRIGHT
 *  file for details.
 *
 */

#ifndef PG_WORKING_SET_FREEZER_H
#define PG_WORKING_SET_FREEZER_H

#include "AlarmClock.h"

// waits till specified time and triggers ieWorkSetFreeze event
// note: make this generic if we need more than one sleep+bcast(info) object
class WorkSetFreezer: public AlarmUser {
	public:
		WorkSetFreezer(Time delay);

		virtual void wakeUp(const Alarm &alarm);
};

#endif
